itpp::TCP_Client_Application Class Reference

`#include <itpp/protocol/tcp_client_server.h>`

## Public Member Functions

| TCP_Client_Application (TCP_Sender *tcp_snd_p, TCP_Receiver *tcp_recv_p)
| Default constructor.
| ~TCP_Client_Application ()
| Destructor.
void | read_from_net (unsigned byte_size)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot< TCP_Client_Application, int > | select
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 83 of file tcp_client_server.h.

## Constructor & Destructor Documentation

## TCP_Client_Application()

itpp::TCP_Client_Application::TCP_Client_Application | ( | TCP_Sender * | tcp_snd_p,
|  | TCP_Receiver * | tcp_recv_p
| ) |  |

inline

Default constructor.

Definition at line 87 of file tcp_client_server.h.

References select.

## ~TCP_Client_Application()

itpp::TCP_Client_Application::~TCP_Client_Application | ( |  | ) |

inline

Destructor.

Definition at line 97 of file tcp_client_server.h.

## Member Function Documentation

## read_from_net()

void itpp::TCP_Client_Application::read_from_net | ( | unsigned | byte_size | ) |

inline

ADD DOCUMENTATION HERE.

Definition at line 103 of file tcp_client_server.h.

## Member Data Documentation

## select

Slot<TCP_Client_Application, int> itpp::TCP_Client_Application::select

ADD DOCUMENTATION HERE.

Definition at line 100 of file tcp_client_server.h.

Referenced by TCP_Client_Application().

The documentation for this class was generated from the following file:

- itpp/protocol/tcp_client_server.h

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8